self.addEventListener('install', (event) => {
    console.log('Service Worker install success');
  });
  
  self.addEventListener('activate', (event) => {
    console.log('Service Worker active');
  });
  
  self.addEventListener('fetch', (event) => {
    const url = new URL(event.request.url);

    // 放行 Adjust
    if (url.origin === "https://web.adjust.com") {
        return;
    }
    // 这里可以做缓存逻辑或直接放行
    event.respondWith(fetch(event.request));
  });
  